/* PcxReader Test Applet
 */
 
import java.applet.*;
import java.awt.*;
import java.io.*;
import java.net.*;

public class PcxReaderTestAppletV02 extends Applet
{
  Image pcxImage = null;
  public void init()
  {
    try
    {
      InputStream in = new URL(getDocumentBase(),getParameter("File")).openStream();
      pcxImage = PcxReaderV02.loadImage(in);
    }
    catch(Exception e)
    {
      System.err.println("Error loading PCX-File");
    }
  }
  
  public void start()
  {
  
  }

  public void paint(Graphics g)
  {
    if(pcxImage != null)
    {
      g.drawImage(pcxImage,0,0,this);
    }
  }
}
